> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rippit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Conversation Source

> Names a conversation source. Create it before uploading with `/conversation_blocks/bulk?source=<name>`.

Full guide with examples: [Conversations guide](/api-reference/connect/bulk/conversations)



## OpenAPI

````yaml /api-reference/bulk-openapi.json post /bulk_ingest/conversation_sources
openapi: 3.1.0
info:
  title: Rippit Bulk API
  version: 2.0.0
servers:
  - url: https://integrations.maestroqa.com/api/v2
security:
  - bearer: []
paths:
  /bulk_ingest/conversation_sources:
    post:
      tags:
        - bulk_ingest
      summary: Post Conversation Source
      description: >-
        Names a conversation source. Create it before uploading with
        `/conversation_blocks/bulk?source=<name>`.


        Full guide with examples: [Conversations
        guide](/api-reference/connect/bulk/conversations)
      operationId: post_conversation_source_bulk_ingest_conversation_sources_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConversationSourceInit'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationSourceInitResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConversationSourceInit:
      properties:
        name:
          type: string
          maxLength: 128
          minLength: 1
          title: Name
          description: >-
            Where the conversations come from, e.g. `in-app chat`. Pass it as
            `source` on uploads.
        description:
          type: string
          maxLength: 2000
          title: Description
          default: ''
      type: object
      required:
        - name
      title: ConversationSourceInit
    ConversationSourceInitResult:
      properties:
        name:
          type: string
          title: Name
        status:
          type: string
          enum:
            - created
            - exists
          title: Status
      type: object
      required:
        - name
        - status
      title: ConversationSourceInitResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.